with Text_Io;
use Text_Io; 

package body Demo5_Frame_Package is
   Panel_Ptr : Xv_Panel_Ptr;
   Frame_Ptr : Xv_Frame_Ptr;
   Quit_Ptr  : Xv_Panel_Button_Ptr;
   Text_Ptr  : Xv_TextSw_Ptr;
   Tty_Ptr   : Xv_TtySw_Ptr;
   Font_Ptr  : Xv_Font_Ptr;
   Status : Boolean;

   procedure Initialize (V : in out Demo5_Frame) is
   begin
      V.Some_Data := 100;

      Frame_Ptr := new Xv_Frame;
      Set_Title(Frame_Ptr.all,"Hello World #5");
      Set_Pos(Frame_Ptr.all,100,100);
      Set_Size(Frame_Ptr.all,500,520);
      Set_Max_Size(Frame_Ptr.all,600,600);
      Set_Min_Size(Frame_Ptr.all,100,100);

      -- Create the panel (add True if you want 3D panel)
      Panel_Ptr := new Xv_Panel(Get_Frame(Frame_Ptr.all),False);
      
      -- Create the Quit button and set the callback function
      Quit_Ptr := new Xv_Panel_button(Get_Panel(Panel_Ptr.all));
      Set_Text(Quit_Ptr.all,"Quit");
      Set_Callback(Quit_Ptr.all,Quit_Func'Access);

      -- Create a font for the message
      Font_Ptr := new Xv_Font(Get_Frame(Frame_Ptr.all),
			      new String'("lucidasans-12"));

      Text_Ptr := new Xv_Textsw(Get_Frame(Frame_Ptr.all));
      Set_Pos(Text_Ptr.all,2,40);
      Set_Size(Text_Ptr.all,495,270);
      Set_Font(Text_Ptr.all,Get_Font(Font_Ptr.all));

      Tty_Ptr := new Xv_Ttysw(Get_Frame(Frame_Ptr.all),68,14,
			      new String'("man cat"));
      Set_Pos(Tty_Ptr.all,2,320);

      -- And off we go...
      Window_Loop(frame_Ptr.all);
   end Initialize;
   
   procedure Finalize (V : in out Demo5_Frame) is
   begin
      null;
   end Finalize;

   procedure Quit_Func(Item : Panel_Item;  Event : Integer) is
   begin 
      raise QUIT_PROGRAM;
   end quit_func;
end Demo5_Frame_Package;
